<?php

define('ROOT_NAMESPACE', 'Reaktion');
define('NAMESPACE_SEPARATOR', '\\');
define('CLASS_PREFIX', 'class-');

/** @param string $class */
spl_autoload_register(function ($class) {
    $class_parts = explode(NAMESPACE_SEPARATOR, $class);

    $class_root_namespace = array_shift($class_parts);
    if ($class_root_namespace !== ROOT_NAMESPACE) {
        return;
    }

    $class_name = array_pop($class_parts);

    $file_path = __DIR__ . DIRECTORY_SEPARATOR;
    foreach ($class_parts as $part) {
        $file_path .= strtolower($part) . DIRECTORY_SEPARATOR;
    }
    $file_path .=
        CLASS_PREFIX . str_replace('_', '-', strtolower($class_name)) . '.php';

    if (file_exists($file_path)) {
        require_once $file_path;
    }
});
