<?php
namespace Reaktion;

use Reaktion\Api\Orders_Filters;
use Reaktion\Api\Orders_Sort;
use Reaktion\Scripts\Checkout_Script;
use Reaktion\Scripts\Tracking_Script;
use Reaktion\Settings\Settings_Pages;

class Main
{
    public function __construct()
    {
        if (!$this->should_initialize()) {
            return;
        }
        new Checkout_Script();
        new Tracking_Script();
        new Orders_Filters();
        new Orders_Sort();
        new Settings_Pages();
    }

    /** @return bool */
    private function should_initialize()
    {
        return in_array(
            'woocommerce/woocommerce.php',
            apply_filters('active_plugins', get_option('active_plugins'))
        );
    }
}
