<?php
namespace Reaktion\Scripts;

class Checkout_Script
{
    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'handle']);
    }

    public function handle()
    {
        $order_id = $this->order_id();
        if (empty($order_id)) {
            return;
        }
        wp_register_script('reaktion-checkout', '');
        wp_enqueue_script('reaktion-checkout');
        wp_add_inline_script('reaktion-checkout', $this->script($order_id));
    }

    /** @return string|null */
    private function order_id()
    {
        global $wp;

        if (!empty($wp->query_vars['order-received'])) {
            return $wp->query_vars['order-received'];
        }

        return null;
    }

    /**
     * @param string|null $order_id
     * @return string
     */
    private function script($order_id)
    {
        return <<<EOF
window.reaktionStoreOrderId = '{$order_id}';
EOF;
    }
}
